Bug 1861412 - `oc explain network-attachment-definitions` returns empty description
Summary: `oc explain network-attachment-definitions` returns empty description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Douglas Smith
QA Contact: Weibin Liang
URL:
Whiteboard: SDN-CI-IMPACT
Depends On: 1819571
Blocks: 1823709 1823711
TreeView+ depends on / blocked
 
Reported: 2020-07-28 14:47 UTC by Douglas Smith
Modified: 2020-09-14 14:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1819571
Environment:
Last Closed: 2020-09-14 14:54:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 734 None closed Bug 1861412: NetworkAttachmentDefinitions should have output for "oc explain" 2020-09-09 13:14:37 UTC
Red Hat Product Errata RHBA-2020:3618 None None None 2020-09-14 14:55:00 UTC

Comment 1 Douglas Smith 2020-07-31 13:40:22 UTC
Downstream PR @ https://github.com/openshift/cluster-network-operator/pull/734

Comment 5 Weibin Liang 2020-09-09 14:27:25 UTC
Tested and verified in 4.5.0-0.nightly-2020-09-07-062006

[weliang@weliang ~]$ oc explain network-attachment-definitions
KIND:     NetworkAttachmentDefinition
VERSION:  k8s.cni.cncf.io/v1

DESCRIPTION:
     NetworkAttachmentDefinition is a CRD schema specified by the Network
     Plumbing Working Group to express the intent for attaching pods to one or
     more logical or physical networks. More information available at:
     https://github.com/k8snetworkplumbingwg/multi-net-spec

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

   spec	<Object>
     NetworkAttachmentDefinition spec defines the desired state of a network
     attachment

Comment 7 errata-xmlrpc 2020-09-14 14:54:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.9 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3618


Note You need to log in before you can comment on or make changes to this bug.